uk.gov.hmrc.ct.computations

# CP997Abstract

###
Related Doc: package computations

#### abstract class CP997Abstract extends CtBoxIdentifier with CtOptionalInteger

Linear Supertypes
CtOptionalInteger, OptionalCtValue[Int], CtValue[Option[Int]], CtBoxIdentifier, AnyRef, Any
Known Subclasses
CP997, CP997NI
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CP997Abstract
2. CtOptionalInteger
3. OptionalCtValue
4. CtValue
5. CtBoxIdentifier
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CP997Abstract(value: Option[Int])

### Abstract Value Members

1. #### abstract def value: Option[Int]

   Definition Classes
     CtValue

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def asInt: Option[Int]

   Definition Classes
     CtOptionalInteger

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hasValue: Boolean

    Definition Classes
      OptionalCtValue

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### def id: String

    Definition Classes
      CtBoxIdentifier

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def isPositive: Boolean

    Definition Classes
      CtOptionalInteger

17. #### def minus(other: Int): Int

    Definition Classes
      CtOptionalInteger

18. #### def minus(other: CtInteger): Int

    Definition Classes
      CtOptionalInteger

19. #### def minus(other: CtOptionalInteger): Int

    Definition Classes
      CtOptionalInteger

20. #### val name: String

    Definition Classes
      CtBoxIdentifier

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def noValue: Boolean

    Definition Classes
      OptionalCtValue

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def orZero: Int

    Definition Classes
      CtOptionalInteger

26. #### def plus(other: Int): Int

    Definition Classes
      CtOptionalInteger

27. #### def plus(other: CtInteger): Int

    Definition Classes
      CtOptionalInteger

28. #### def plus(other: CtOptionalInteger): Int

    Definition Classes
      CtOptionalInteger

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CtOptionalInteger

### Inherited from OptionalCtValue[Int]

### Inherited from CtValue[Option[Int]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped